2021-08-27 16:22

旧版以太坊客户端Geth漏洞导致网络出现分裂,但未对网络稳定产生影响

8月28日消息,旧版本的以太坊网络客户端 Geth 中的一个错误导致运行这些版本的节点与主网络分离。

该bug会影响旧版本的 Geth 客户端,特别是 v1.10.7 及更早版本。运行Geth客户端的节点占所有以太坊节点的近 75%,而Geth 客户端中73%仍在运行旧版本。据悉,8月24日,Geth团队发布了Geth v1.10.8版本,修复了该漏洞,但一部分节点并未升级到该版本,导致了这次漏洞的发生。

这意味着大约 54% 的以太坊节点在运行时存在发生重大基础设施错误的风险。

令人担忧的是,这可能会导致双花攻击,即花费了加密货币,但随后交易被替代链覆盖。

The Block Research 已将此地址(https://etherscan.io/address/0x1a02a619e51cc5f8a2a61d2a60f6c80476ee8ead)确定为利用该漏洞的地址,该地址由 Tornado Cash 客户资助。这个有可能影响其他 EVM 兼容链的漏洞也被这个地址在币安智能链和火币生态链上被利用(H/t Peckshield)。它似乎没有在 Polygon 上被利用。


这个分叉的影响


虽然一部分节点已经从网络中分离出来,但它似乎还没有产生巨大的影响。似乎大多数矿工都在运行更新版本的以太坊,这意味着算力支持最长的链。

对于运行旧版本 Geth 的节点,它们实际上无法访问主网络。因此,虽然可能会发生漏洞利用,但网络目前似乎很稳定。

以太坊基金会安全负责人 Martin Swende 发推文说:“今天 #ethereum 主网出现共识漏洞,利用了 geth v1.10.8 中修复的共识漏洞。好在大部分矿工都已经更新了,正确的链也是最长的(canon)。”

以太坊核心开发人员 Tim Beiko 表示,三个矿池似乎一直在错误版本的 Geth 上挖矿,包括 Flexpool、BTC.com 和 Binance。他说 Flexpool 最初报告了这个问题,因此意识到了这一点,并且开发人员正在与其他两个池取得联系。


在审计中发现错误


根据新闻稿,该漏洞是在 Telos EVM 审计中发现的,Telos EVM 是在 Telos 区块链上运行的以太坊虚拟机版本。执行审计的 Sentnl 审计师 Guido Vranken 发现了这个漏洞,称其为“高严重性问题”。

在以太坊核心开发人员获悉该问题后,他们于 8 月 24 日发布了一个补丁来修复它。但这只会帮助那些升级了节点的人。

当修复宣布时,一份声明说:“确切的攻击向量将在稍后提供,以便节点运营商和相关下游项目有时间更新他们的节点和软件。所有支持伦敦硬分叉的 Geth 版本都存在漏洞(该漏洞比伦敦升级更早),因此所有用户都应该更新。”

本文链接:https://www.8btc.com/article/6678570
转载请注明文章出处

评论
登录 账号发表你的看法,还没有账号?立即免费 注册
下载
阅读
分享
评论
点赞
上一篇
下一篇